"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _typeof2 = _interopRequireDefault(require("@babel/runtime/helpers/typeof"));
var replaceCircular = function replaceCircular(val, cache) {
  cache = cache || new WeakSet();
  if (val && (0, _typeof2["default"])(val) == 'object') {
    if (cache.has(val)) return '[Circular]';
    cache.add(val);
    var obj = Array.isArray(val) ? [] : {};
    for (var idx in val) {
      obj[idx] = replaceCircular(val[idx], cache);
    }
    cache["delete"](val);
    return obj;
  }
  return val;
};
var _default = replaceCircular;
exports["default"] = _default;