import algoliaManagementClient from './utilities/algoliaManage'
import algoliaClient from './utilities/algolia'

import {
  renderComponent,
  ContentTypes,
} from './utilities/contentful/renderComponent'
import replaceCircular from './utilities/contentful/replaceCircular'
import renderRichText from './utilities/contentful/renderRichText'

import {
  fetchContent,
  contentfulConfig,
  fetchPaginatedContent,
  getTotal,
} from './utilities/contentful/contentful'

export {
  algoliaManagementClient,
  algoliaClient,
  fetchPaginatedContent,
  getTotal,
  replaceCircular,
  renderComponent,
  ContentTypes,
  renderRichText,
  fetchContent,
  contentfulConfig,
}
